Bug 149147 - installation of search plugin deletes all bookmarks
installation of search plugin deletes all bookmarks
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2005-02-19 08:05 EST by Thilo Pfennig
Modified: 2008-01-15 09:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-15 09:40:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thilo Pfennig 2005-02-19 08:05:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I do often get this as a result, but not every time. If I install a
search engine via http - first I seem to have to start as root - and
than all bookmarks were deleted. I have experienced this in ca. 3 of 5
installations. This is annoying.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start firefox as root
2. go to
http://mozilla.org/products/firefox/central.html#central-engines and
install a new search engine
3. exit firefox
4. start firefox as user

Actual Results:  all bookmarks are deleted

Expected Results:  no deltetion of bookmarks

Additional info:

maybe it is not ok to start firefox as root, but as a normal user i
did not manage to install search engines at all.
Comment 1 Matthew Miller 2006-07-10 17:46:05 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Thilo Pfennig 2006-12-04 04:39:47 EST
I have seen this in FC6 when starting Firefox one time as root (to install a

So still present in FC6
Comment 3 Thilo Pfennig 2007-01-16 12:45:51 EST
this was the requested info.
Comment 4 Matěj Cepl 2007-12-10 04:24:54 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 5 Matěj Cepl 2008-01-15 09:40:18 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional


{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.